{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    View TimeTable
{% endblock %}

{% block rightPane %}
    <div class="row" xmlns="http://www.w3.org/1999/html">
        <div class="x_panel">
            <div class="x_title">
                <h2>
                    <i class="glyphicon glyphicon-calendar"></i> Time Table
                </h2>
                <div class="clearfix"></div>
            </div>
            {% if perms.curriculum.can_view_timetable %}
                <div class="x_content">
                    <div class="row">
                        <ul class="nav nav-tabs bar_tabs">
                            {% for semester in list_of_semesters %}
                                {% if forloop.counter == 1 %}
                                    <li {% if selected_semester == semester.semester_instance.pk %}class="active" {% else %}
                                        class="" {% endif %} onmouseover="$(this).css('cursor','pointer');">
                                        <a aria-expanded="true"
                                           id={{ semester.semester_instance.pk }}
                                                   data-toggle="tab" name="batch_tab">
                                            {{ semester.display_text }}

                                        </a>
                                    </li>
                                {% else %}
                                    <li {% if selected_semester == semester.semester_instance.pk %}class="active" {% else %}
                                        class="" {% endif %} onmouseover="$(this).css('cursor','pointer');">
                                        <a aria-expanded="true"
                                           id={{ semester.semester_instance.pk }}
                                                   data-toggle="tab" name="batch_tab">
                                            {{ semester.display_text }}
                                        </a>
                                    </li>
                                {% endif %}
                            {% endfor %}
                        </ul>
                        <br>
                        <br>
                        <div class="tab-content">
                            {% if no_faculty_advisor %}
                                <div role="alert" class="alert alert-warning alert-dismissible fade in">
                                    <h5> Timetable not created. Contact your Programme Coordinator to ensure whether
                                        timetable is properly allotted </h5>
                                </div>
                            {% elif no_of_courses == 0 %}
                                <div role="alert" class="alert alert-success alert-dismissible fade in">
                                    <h5> No courses are currently available </h5>
                                </div>
                            {% else %}
                                <div class="alert alert-success" role="alert" align="center">
                                    <h5> Current Faculty Advisors:&nbsp;
                                        <strong>
                                            {% for faculty in faculty_advisors %}
                                                {{ faculty }}&nbsp;&nbsp;
                                            {% endfor %}
                                        </strong>
                                    </h5>
                                </div>
                                <div class="table-responsive">
                                    <table class="table table-bordered col-md-12 col-sm-12 col-xs-12">
                                        <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>1st hour</th>
                                            <th>2nd hour</th>
                                            <th>3rd hour</th>
                                            <th>4th hour</th>
                                            <th>5th hour</th>
                                            <th>6th hour</th>
                                            <th>7th hour</th>
                                            <th>8th hour</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        {% for day in list_of_hours %}
                                            <tr>
                                                <th>{{ day.day_name }}</th>
                                                {% for hour in day.hours %}
                                                    <td align="center">
                                                        {% if not hour %}
                                                            -
                                                        {% else %}
                                                            {% for course in hour %}
                                                                {{ course }}<br>
                                                            {% endfor %}
                                                        {% endif %}
                                                    </td>
                                                {% endfor %}
                                            </tr>
                                        {% endfor %}
                                        </tbody>
                                    </table>
                                </div>
                                <br><br>
                                <table class="table table-hover">
                                    <thead>
                                    <tr>
                                        <th>Course Code</th>
                                        <th>Course Name</th>
                                        <th>Staff Handling</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    {% for course in list_of_courses %}
                                        <tr>
                                            <td>{{ course.course_id }}</td>
                                            <td>
                                                {{ course.course_name }}&nbsp;
                                                {% if course.code %}
                                                    ({{ course.code }})
                                                {% endif %}
                                            </td>
                                            <td>
                                                {% for staff in course.staff_list %}
                                                    {{ staff }}&nbsp;&nbsp;
                                                {% endfor %}
                                            </td>
                                        </tr>
                                    {% endfor %}
                                    </tbody>
                                </table>
                            {% endif %}
                        </div>
                    </div>
                </div>
            {% else %}
                <div class="tab-content">
                    {% if no_faculty_advisor %}
                        <div role="alert" class="alert alert-warning alert-dismissible fade in">
                            <h5> Timetable not created. Contact your Programme Coordinator to ensure whether timetable
                                is
                                properly allotted </h5>
                        </div>
                    {% elif no_of_courses == 0 %}
                        <div role="alert" class="alert alert-success alert-dismissible fade in">
                            <h5> No courses are currently available </h5>
                        </div>
                    {% else %}
                        <div class="alert alert-success" role="alert" align="center">
                            <h5> Current Faculty Advisors:&nbsp;
                                <strong>
                                    {% for faculty in faculty_advisors %}
                                        {{ faculty }}&nbsp;&nbsp;
                                    {% endfor %}
                                </strong>
                            </h5>
                        </div>
                        <div class="table-responsive">
                            <table class="table table-bordered col-md-12 col-sm-12 col-xs-12">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th>1st hour</th>
                                    <th>2nd hour</th>
                                    <th>3rd hour</th>
                                    <th>4th hour</th>
                                    <th>5th hour</th>
                                    <th>6th hour</th>
                                    <th>7th hour</th>
                                    <th>8th hour</th>
                                </tr>
                                </thead>
                                <tbody>
                                {% for day in list_of_hours %}
                                    <tr>
                                        <th>{{ day.day_name }}</th>
                                        {% for hour in day.hours %}
                                            <td align="center">
                                                {% if not hour %}
                                                    -
                                                {% else %}
                                                    {% for course in hour %}
                                                        {{ course }}<br>
                                                    {% endfor %}
                                                {% endif %}
                                            </td>
                                        {% endfor %}
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                        </div>
                        <br><br>
                        <table class="table table-hover">
                            <thead>
                            <tr>
                                <th>Course Code</th>
                                <th>Course Name</th>
                                <th>Staff Handling</th>
                            </tr>
                            </thead>
                            <tbody>
                            {% for course in list_of_courses %}
                                <tr>
                                    <td>{{ course.course_id }}</td>
                                    <td>
                                        {{ course.course_name }}&nbsp;
                                        {% if course.code %}
                                            ({{ course.code }})
                                        {% endif %}
                                    </td>
                                    <td>
                                        {% for staff in course.staff_list %}
                                            {{ staff }}&nbsp;&nbsp;
                                        {% endfor %}
                                    </td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    {% endif %}
                </div>
            {% endif %}
        </div>
    </div>

    <form id="dummy_form" method="post">
        {% csrf_token %}
    </form>

    <script type="text/javascript">
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }
        $('document').ready(function () {
            $('[name="batch_tab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'selected_semester_tab'});
                $hiddenInput.appendTo('form');

                $('#dummy_form').submit();

            });
        });

    </script>

{% endblock %}